---
title: Update
url: https://www.tines.com/docs/api/stories/notes/update/
updated: 2026-03-09T14:32:44+00:00
description: Update a note.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Stories](https://www.tines.com/llm/docs/api/stories.md) › [Notes](https://www.tines.com/llm/docs/api/stories/notes.md)*

# Update

*[View on tines.com](https://www.tines.com/docs/api/stories/notes/update/)*

## Description

Update a note.

## Request

HTTP Method: **PUT**

| Parameter | Description                                                                                      |
| --------- | ------------------------------------------------------------------------------------------------ |
| content   | **Optional** The note [Markdown](https://www.markdownguide.org/basic-syntax/) formatted content. |
| position  | **Optional** An object describing the XY coordinates of the position on the story diagram.       |

| Path Parameter | Description    |
| -------------- | -------------- |
| note_id        | ID of the note |

### Sample request

```bash
curl -X PUT \
  https://<tenant-domain>/api/v1/notes/<<note_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
  -d '{
        "content": "# Header\n This is a list \n - item 1\n - item 2",
        "position": {
          "x": 10,
          "y": 10
        }
      }'
```

## Response

A successful request will return a JSON object describing the updated note.

### Field description

| Parameter  | Description                                                                         |
| ---------- | ----------------------------------------------------------------------------------- |
| id         | The note ID.                                                                        |
| story_id   | ID of story to which the note belongs.                                              |
| story_mode | Mode of the story to which the note belongs `LIVE` or `TEST`                        |
| group_id   | ID of group to which the note belongs.                                              |
| content    | The note [Markdown](https://www.markdownguide.org/basic-syntax/) formatted content. |
| position   | An object describing the XY coordinates of the position on the story diagram.       |

### Sample response

<!-- cspell:disable -->

```json
{
  "id": 21405,
  "story_id": 813,
  "story_mode": "LIVE",
  "group_id": null,
  "position": {
    "x": 15,
    "y": 15
  },
  "content": "# Header\n This is a list \n - item 1\n - item 2"
}
```

<!-- cspell:enable -->
